package com.bocloud.cmp.provider.agile.vas;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.agile.vas.AgileVasLinkModel;

import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: VasLinkProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/6/28 15:30
 */
public interface VasLinkProvider extends SuperProvider {
    default BocloudResult<?> list() {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<List<AgileVasLinkModel>> list(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileVasLinkModel> create(AgileVasLinkModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileVasLinkModel> modify(AgileVasLinkModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<?> remove(AgileVasLinkModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileVasLinkModel> detail(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }
}